Subject: The "Fly" Plant

From: [email-masked] (Jason Petteway)
Date: 10 Mar 1995 20:47:39 GMT

Help!

I bought a great plant from a local nursery last year.  They labeled it 
only as the "fly plant."  It is a great annual plant, obviously related 
to the tomatillos, tomatoes, and ground cherries (Solanum sp) because it 
has somewhat similar leaves and after a flower fades, it makes a 
tomatillo-like berry in a husk.  The plant gets about 2 feet high and is 
covered all summer with upright-facing sky blue flowers, not unlike a 
datura or even a morningglory flower. 

I've searched and searched for a botanical ("scientific") name, it grows 
easily from seed, does anyone have more information on this great performer?

Thanks!

Jason